Package qsardes.molecule

# Record Class Molecule.IntrState

java.lang.Object
java.lang.Record
qsardes.molecule.Molecule.IntrState

Record Components:
  `delta` - Sigma electrons count.
  `delta_v` - Valence electrons count.
  `i_state` - Intrinsic state.

Enclosing class:
  Molecule

public static record Molecule.IntrState(double delta, double delta_v, double i_state) extends Record
Stores the atomic intrinsic state, sigma and valence electrons count.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntrState(double delta, double delta_v, double i_state)`
  Creates an instance of a `IntrState` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `delta()`
  Returns the value of the `delta` record component.
  `double`
  `delta_v()`
  Returns the value of the `delta_v` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `double`
  `i_state()`
  Returns the value of the `i_state` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IntrState

    public IntrState(double delta, double delta_v, double i_state)
    Creates an instance of a `IntrState` record class.
    Parameters:
      `delta` - the value for the `delta` record component
      `delta_v` - the value for the `delta_v` record component
      `i_state` - the value for the `i_state` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### delta

    public double delta()
    Returns the value of the `delta` record component.
    Returns:
      the value of the `delta` record component

  - ### delta_v

    public double delta_v()
    Returns the value of the `delta_v` record component.
    Returns:
      the value of the `delta_v` record component

  - ### i_state

    public double i_state()
    Returns the value of the `i_state` record component.
    Returns:
      the value of the `i_state` record component